package com.yihu.wlyy.entity.doctor.survey;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * Created by Reece on 2017/3/9.
 */
@Entity
@Table(name = "wlyy_survey_option_answers")
public class SurveyOptionAnswers extends IdEntity implements Serializable {
//    选择答案编码
    private String code;
//  患者ID
    private  String patient;
//    问卷编码
    private String surveyCode;
//    选择题题目编码
    private String questionCode;
//    选项编码
    private String optionsCode;
//    选项说明（可为null）
    private String optionComment;
//    答案类型（0单选 1多选）
    private  int answerType;
//    创建时间
    private Date createTime;

    public SurveyOptionAnswers() {
    }

    public SurveyOptionAnswers(String code, String patient, String surveyCode, String questionCode, String optionsCode, String optionComment, int answerType, Date createTime) {
        this.code = code;
        this.patient = patient;
        this.surveyCode = surveyCode;
        this.questionCode = questionCode;
        this.optionsCode = optionsCode;
        this.optionComment = optionComment;
        this.answerType = answerType;
        this.createTime = createTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getSurveyCode() {
        return surveyCode;
    }

    public void setSurveyCode(String surveyCode) {
        this.surveyCode = surveyCode;
    }

    public String getQuestionCode() {
        return questionCode;
    }

    public void setQuestionCode(String questionCode) {
        this.questionCode = questionCode;
    }

    public String getOptionsCode() {
        return optionsCode;
    }

    public void setOptionsCode(String optionsCode) {
        this.optionsCode = optionsCode;
    }

    public String getOptionComment() {
        return optionComment;
    }

    public void setOptionComment(String optionComment) {
        this.optionComment = optionComment;
    }

    public int getAnswerType() {
        return answerType;
    }

    public void setAnswerType(int answerType) {
        this.answerType = answerType;
    }
}
